%define		module	pyorbit

Summary:	Python binding for ORBit
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki ORBit
Name:		python-pyorbit
Version:	2.24.0
Release:	6
License:	LGPL v2.1+
Group:		Libraries/Python
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pyorbit/2.24/%{module}-%{version}.tar.bz2
# Source0-md5:	574593815e75ee6e98062c75d6d1581f
# http://bugzilla.gnome.org/show_bug.cgi?id=565967
Patch0:		%{name}-libtool.patch
BuildRequires:	ORBit2-devel >= 1:2.14.6
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.4.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-libs
Requires:	ORBit2 >= 1:2.14.6
Obsoletes:	pyorbit
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Python language binding for the ORBit2 CORBA implementation.
It aims to take advantage of new features found in ORBit2 to make
language bindings more efficient. This includes:
- use of ORBit2 type libraries to generate stubs
- use of the ORBit_small_invoke_stub() call for operation invocation,
  which allows for short circuited invocation on local objects

%description -l pl.UTF-8
Ten pakiet zawiera wiązania Pythona do ORBit2 - implementacji CORBA.
Jego celem jest wykorzystanie wszystkich nowych możliwości OBRit2, aby
uczynić wiązania bardziej skutecznymi. Wiązania umożliwiają:
- użycie bibliotek typów ORBit2 do generowania szkieletów
- użycie wywołania ORBit_small_invoke_stub() do żądania operacji, co
  pozwala na krótkie wywołania na lokalnych obiektach.

%package devel
Summary:	Development files for the ORBit Python module
Summary(pl.UTF-8):	Pliki programistyczne dla modułu Pythona ORBit
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento para o módulo ORBit Python
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	ORBit2-devel >= 1:2.14.6
Requires:	python-devel >= 2.4.0

%description devel
This package contains development files needed to develop ORBit Python
based extensions.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki programistyczne potrzebne do rozwijania
rozszerzeń bazujących na ORBit Python.

%description devel -l pt_BR.UTF-8
Este pacote contém arquivos de desenvolvimento necessários à criação
de extensões baseadas no ORBit Python.

%package examples
Summary:	Example programs using Python ORBit2 bindings
Summary(pl.UTF-8):	Przykładowe programy w Pythonie używające ORBit2
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description examples
Example programs using ORBit2 bindings.

%description examples -l pl.UTF-8
Przykładowe programy w Pythonie używające ORBit2.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/*.la
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{py_sitedir}/ORBit.so
%{py_sitedir}/CORBA.py[co]
%{py_sitedir}/PortableServer.py[co]

%files devel
%defattr(644,root,root,755)
%{_includedir}/pyorbit-2
%{_pkgconfigdir}/pyorbit-2.pc

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyorbit.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 458042e
- release 6 (by relup.sh)

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 9ecc707
- x32 rebuild
- release 5 (by relup.sh)

* Sun Jan 12 2014 Jakub Bogusz <qboosh@pld-linux.org> 22df400
- modernized spec a bit; no macro in Obsoletes for old name

* Sat Jul 13 2013 Marcin Krol <hawk@tld-linux.org> 4981b32
- release 4 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> f8158da
- BR: pkgconfig

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 4e5f9e9
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 56fb18a
- release 2

* Mon Dec 29 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 668e0ea
- updated to 2.24.0
- added -libtool.patch

* Mon Dec 29 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 7b6a6ed
- http://bugzilla.gnome.org/show_bug.cgi?id=565967

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2232cf2
- release 2

* Sat May 26 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 131138c
- updated to 2.14.3

* Sun Feb 25 2007 Marcin Banasiak <marcin.banasiak@gmail.com> c057d05
- updated to 2.14.2
- added examples subpackage

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3e865c1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a80df7a
- converted to UTF-8

* Wed Sep 27 2006 wrobell <wrobell@pld-linux.org> cd2f646
- rel. 3 to rebuild with python 2.5 (final)

* Sun Aug 27 2006 havner <havner@pld-linux.org> 69383f6
- rebuild with 2.5
- rel 2

* Mon Jun 12 2006 freetz <freetz@pld-linux.org> 0b43ac9
- 2.14.1

* Wed May 24 2006 Jakub Bogusz <qboosh@pld-linux.org> e224bdd
- merged deps update from AC-branch
- gpm-friendly Source0 URL, restored BR: rpm-pythonprov

* Mon Mar 13 2006 freetz <freetz@pld-linux.org> 609f606
- 2.14.0

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> b6777e4
- mass commit: remove obsolete BR: rpm-pythonprov

